Bug 75001 - kickstart config - ghosted partition size
Summary: kickstart config - ghosted partition size
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-kickstart (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-03 15:26 UTC by Stephen Lawrence Jr.
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-14 23:43:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stephen Lawrence Jr. 2002-10-03 15:26:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
When building a kickstart script, at the partition information screen, I am
unable to create a partition with a fixed size if I created a swap (recommended
size on) first.

Version-Release number of selected component (if applicable):
redhat-config-kickstart-2.3.3-3

How reproducible:
Always

Steps to Reproduce:
1.create a swap partition and check "Use recommended size"
2.Try to create a /var partition  of a fixed size.
3.
	

Actual Results:  The "Size (MB)" field is ghosted and the recommended checkmark
is still marked and ghosted.

Expected Results:  "Size (MB)" field should be changeable, and the recommended
checkmark should defauly to False, and should be changeable.

Additional info:

Comment 1 Brent Fox 2002-10-14 23:43:15 UTC
Yup, it's a bug.  A workaround is to click the "Fill all unused space on disk"
option, and then click "Fixed size" again.  That should re-enable the "Size"
entry widget.  I'm working on a patch for this at the moment.

Comment 2 Brent Fox 2002-10-15 02:19:26 UTC
Fix committed to cvs.  redhat-config-kickstart-2.3.3-4 should fix the problem
and will appear in Rawhide soon.  Thanks for your report.



Note You need to log in before you can comment on or make changes to this bug.